# CZI presence detector
Tool to detect the presence of pre-defined devices by their WiFi MAC addresses.

## How it works
Sets the wifi adapter into monitor mode, then listens to surrounding packets listing all detected devices into `wifi_map.yaml`. Resets the wifi adapter to normal mode for uploading the results, filters the results by the mac addresses in `identities.yaml` and sends all matched identities to the front-end webhook server in `public`. This server stores the presence information locally and displays it with `public/index.php` with a timestamp of the last update.

## Set-up
Dependencies: Python3, trackerjacker (pip3), php (front-end)
Configs to change:
- wifi adapter in `scan.sh`
- system-specific wifi commands in `scan.sh`
- webhook URL and secret in `upload.py`
- webhook secret in `public/update.php`
- mac-name-identities in `identities.yaml`